Project

General

Profile

Bug #7470

Error when installing rudder : /opt/rudder/bin/rudder-upgrade: line 573: /opt/rudder/bin/rpmvercmp: No such file or directory

Added by Nicolas CHARLES over 5 years ago. Updated about 5 years ago.

Status:
Released
Priority:
N/A
Category:
Packaging
Target version:
Severity:
User visibility:
Effort required:
Priority:

Description

Rudder upgrade depends on rpmvercmp, but rpmvercmp is provided by rudder-agent

However, in some case, rudder-agent is installed after the rudder-webapp, causing the file not to be there
Exists on 3.2, can happen on every version


Subtasks

Bug #7498: Version comparison is broken in rudder-upgradeReleasedJonathan CLARKE2015-11-27Actions

Related issues

Related to Rudder - Bug #6662: rudder-reports has not sufficient dependency to postgresql's versionReleasedMatthieu CERDA2015-05-22Actions
#1

Updated by Jonathan CLARKE over 5 years ago

  • Related to Bug #6662: rudder-reports has not sufficient dependency to postgresql's version added
#2

Updated by Jonathan CLARKE over 5 years ago

  • Target version set to 3.0.12
#3

Updated by Jonathan CLARKE over 5 years ago

  • Status changed from New to In progress
  • Assignee changed from Benoît PECCATTE to Jonathan CLARKE
#4

Updated by Jonathan CLARKE over 5 years ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Jonathan CLARKE to Benoît PECCATTE
  • Pull Request set to https://github.com/Normation/rudder-packages/pull/810
#5

Updated by Jonathan CLARKE over 5 years ago

  • Status changed from Pending technical review to Pending release
  • % Done changed from 0 to 100
#7

Updated by Vincent MEMBRÉ about 5 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 3.0.12 and 3.1.5 which were released today.

Also available in: Atom PDF